curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'API-Timestamp: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Timestamp': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Sign: <api-key>",
"API-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Timestamp", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Timestamp", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Timestamp"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "EBARERNY-PXH3CV-XQJL2O",
"idempotency_key": "11111111-1111-4111-8111-111111111111",
"request_type": "allocate",
"strategy_id": "ESQEFMZ-JPPIY-3KXFJ2",
"symbol": "ETH",
"type": "crypto",
"name": "Ethereum",
"strategy_type": "bonded",
"amount": "2.0",
"status": "pending",
"created_at": "2026-06-01T12:00:00Z"
}
]
}List pending Bonded Earn requests
Returns the allocate and deallocate requests of the specified account that are still pending, oldest first by creation time.
A request drops off this list once it reaches a final status. Use the request status endpoint with its identifier to see the outcome after that.
Results are paginated.
curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'API-Timestamp: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Timestamp': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Sign: <api-key>",
"API-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Timestamp", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Timestamp", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/accounts/{account_id}/earn/bonded/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Timestamp"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "EBARERNY-PXH3CV-XQJL2O",
"idempotency_key": "11111111-1111-4111-8111-111111111111",
"request_type": "allocate",
"strategy_id": "ESQEFMZ-JPPIY-3KXFJ2",
"symbol": "ETH",
"type": "crypto",
"name": "Ethereum",
"strategy_type": "bonded",
"amount": "2.0",
"status": "pending",
"created_at": "2026-06-01T12:00:00Z"
}
]
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Time the request was signed, as Unix milliseconds. Included in the request signature. Requests signed too far from the server's time are rejected.
Path Parameters
Globally unique public identifier for an account.
14 - 42Query Parameters
Opaque token returned as next_page_token in the previous response. Omit to request the first page.
1 - 256Maximum number of results to return. Ignored when page_token is present.
1 <= x <= 25